﻿#language: ru

Функционал: Создание документа Заявка на производство

Сценарий: Создание документа Заявка на производство
	Дано Я переключаюсь на открытый клиент "milk_prod_Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Заявки на производство'
	Тогда открылось окно 'Заявки на производство'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Заявка на производство (создание)'
	И в поле 'Дата задания' я ввожу текст '01.11.2018'
	И я нажимаю кнопку выбора у поля "Основание"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Заявка на производство (создание) *'
	И в поле 'Основание' я ввожу текст '!'
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно 'Подразделения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Заявка на производство (создание) *'
	И я перехожу к закладке "Продукция"
	И в таблице "Продукция" я добавляю новую строку
	И в таблице "Продукция" я нажимаю кнопку выбора у реквизита "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'milk_prod_Российский 50%' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Заявка на производство (создание) *'
	И в таблице "Продукция" я нажимаю кнопку выбора у реквизита "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Варка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Заявка на производство (создание) *'
	И в таблице "Продукция" в поле 'Количество' я ввожу текст '1 000,000'
	И в таблице "Продукция" в поле 'Квант' я ввожу текст '1,000'
	И в таблице "Продукция" в поле 'Выпуск' я ввожу текст '01.01.2019'
	И в таблице "Продукция" я завершаю редактирование строки
	И в таблице "Продукция" я перехожу к строке:
		| 'N' |
		| '1' |
	И в таблице 'Продукция' я удаляю строку
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	Тогда открылось окно 'Заявки на производство'
	И Я закрываю окно 'Заявки на производство'